Special page to disable OATH for other users
Closed, ResolvedPublic

Description

Right now, it's only possible using a maintenance script called disableOATHAuthForUser.php which requires production access which is not scaleable and it's one of the reasons preventing from allowing role out of 2FA for everyone.

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptMay 20 2018, 2:24 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Reedy added a comment.May 20 2018, 4:11 PM

Vaguely. Let's make this one into the addition of the special form. Make T180896 the rollout of the functionality (add the right to wmf-config etc)

Although the other is blocked on legal review... There's no reason to block the implementation; third party wikis potentially have a use for this too

Change 434197 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/OATHAuth@master] Add SpecialDisableOATHForUser

https://gerrit.wikimedia.org/r/434197

Reedy triaged this task as Normal priority.May 31 2018, 12:51 PM
Vvjjkkii renamed this task from Special page to disable OATH for other users to wkcaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii removed Ladsgroup as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot assigned this task to Ladsgroup.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot renamed this task from wkcaaaaaaa to Special page to disable OATH for other users.
CommunityTechBot added subscribers: gerritbot, Aklapper.

Change 469886 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/mediawiki-config@master] Don't allow sysop users to disable 2FA for other users

https://gerrit.wikimedia.org/r/469886

Change 469886 merged by jenkins-bot:
[operations/mediawiki-config@master] Don't allow sysop users to disable 2FA for other users

https://gerrit.wikimedia.org/r/469886

Change 434197 merged by jenkins-bot:
[mediawiki/extensions/OATHAuth@master] Add SpecialDisableOATHForUser

https://gerrit.wikimedia.org/r/434197

Reedy closed this task as Resolved.Oct 26 2018, 7:48 PM
Reedy removed a project: Patch-For-Review.